from setuptools import find_packages, setup

with open('description.rst') as f:
    long_description = f.read()

version = __import__('htg').VERSION

setup(
    name='htg',
    version=version,
    author='R Meurders',
    author_email='pypi+clack@rmnl.net',
    license='MIT',
    description='Happy Tree Gallery is a command line utility generating '
                'static photo galleries.',
    long_description=long_description,
    keywords='development command line tool photos pictures management '
             'galleries json',
    url='https://github.com/rmnl/htg',
    packages=find_packages(),
    include_package_data=True,
    install_requires=[
        'Click>=5.1',
        'markdown2>=2.3.0',
        'numpy>=1.10.1',
        'peewee>=2.6.4',
        'Pillow>=3.0.0',
        'PyYAML>=3.11',
    ],
    entry_points={
        'console_scripts': [
            'htg = htg.__main__:main'
        ],
    },
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'Topic :: Utilities',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 2.7',
    ],
)
